Update Bulk Pricing Rule

Updates a *Bulk Pricing Rule*. **Required Fields** * none **Read-Only Fields** - id

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idstringRequired
bulk_pricing_rule_idstringRequired

Request

This endpoint expects an object.
amountdouble or stringRequired
You can express the adjustment type as either a fixed dollar amount or a percentage. Send a number; the response will return a number for `price` and `fixed` adjustments. Divide the adjustment percentage by 100 and send the result in string format. For example, represent 10% as “.10”. The response will return a float value for both `price` and `percentage` adjustments. Required in /POST.
quantity_maxintegerRequired>=0

The maximum inclusive quantity of a product to satisfy this rule. Must be greater than the quantity_min value – unless this field has a value of 0 (zero), in which case there will be no maximum bound for this rule. Required in /POST.

quantity_minintegerRequired>=0

The minimum inclusive quantity of a product to satisfy this rule. Must be greater than or equal to zero. For fixed rules, the minimum quantity canʼt be less than two. Required in /POST.

typeenumRequired

The type of adjustment that is made. Values: price - the adjustment amount per product; percent - the adjustment as a percentage of the original price; fixed - the adjusted absolute price of the product. Required in /POST.

Allowed values:

Response

dataobject
metaobject
Response metadata.

Errors

404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error